curl --request POST \
--url https://crypto.westminister.tech/api/v1/auth/pricing/fx-quotes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"asset": "<string>",
"fiat_currency": "<string>",
"reference_rate": "<string>",
"source": "<string>",
"network": "<string>",
"source_country": "<string>",
"destination_country": "<string>",
"applied_rate": "<string>",
"spread_bps": 123,
"expires_at": "2023-11-07T05:31:56Z",
"is_active": true
}
'import requests
url = "https://crypto.westminister.tech/api/v1/auth/pricing/fx-quotes"
payload = {
"asset": "<string>",
"fiat_currency": "<string>",
"reference_rate": "<string>",
"source": "<string>",
"network": "<string>",
"source_country": "<string>",
"destination_country": "<string>",
"applied_rate": "<string>",
"spread_bps": 123,
"expires_at": "2023-11-07T05:31:56Z",
"is_active": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
asset: '<string>',
fiat_currency: '<string>',
reference_rate: '<string>',
source: '<string>',
network: '<string>',
source_country: '<string>',
destination_country: '<string>',
applied_rate: '<string>',
spread_bps: 123,
expires_at: '2023-11-07T05:31:56Z',
is_active: true
})
};
fetch('https://crypto.westminister.tech/api/v1/auth/pricing/fx-quotes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Create FX Rate Quote (Admin)
Stores a reference and applied rate for a flow/asset/fiat pair. Used with pricing profiles when creating orders or transfers.
B2B OTC: When flow_type is b2b, otc_type is required (deposit or withdrawal) so quotes pair with OTC-scoped profiles and POST /pricing/resolve-otc.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
onramp, offramp, p2p, b2b, b2b2c, remittance Required when flow_type=remittance. Prefer active ISO 3166-1 alpha-3 code from the countries catalog. Example KEN. Legacy alpha-2 input is accepted and normalized to alpha-3
Required when flow_type=remittance. Prefer active ISO 3166-1 alpha-3 code from the countries catalog. Example UGA. Legacy alpha-2 input is accepted and normalized to alpha-3
Required when flow_type=b2b. Omit for non-b2b flows.
deposit, withdrawal Response
Created